﻿using System;
using System.Reflection;
using SixLabors.ImageSharp;
using SixLabors.ImageSharp.PixelFormats;
using Xamarin.Forms;

namespace TestNewIOS
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            RunTest();
        }

        private void RunTest()
        {
            try
            {
                var image = ReadImage();
                var rowspan = image.GetPixelRowSpan(0);
            }
            catch (Exception e)
            {
                Console.WriteLine(e);
            }
        }

        private Image<Rgba32> ReadImage()
        {
            var assembly = GetType().GetTypeInfo().Assembly;
            const string resourceName = "TestNewIOS.test.png";
            using (var sourceStream = assembly.GetManifestResourceStream(resourceName))
            {
                var image = SixLabors.ImageSharp.Image.Load<Rgba32>(sourceStream);
                return image;
            }
        }
    }
}
